<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="en"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../../../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../../../jacoco-resources/report.gif" type="image/gif"/><title>UserRepositoryTests.java</title><link rel="stylesheet" href="../../../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../../../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../../../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../../../index.html" class="el_report">green-grocery (01-Nov-2022 11:59:04 pm)</a> &gt; <a href="../../index.html" class="el_group">green-grocery</a> &gt; <a href="../index.html" class="el_bundle">src/test/java</a> &gt; <a href="index.source.html" class="el_package">com.example.demo</a> &gt; <span class="el_source">UserRepositoryTests.java</span></div><h1>UserRepositoryTests.java</h1><pre class="source lang-java linenums">package com.example.demo;

import static org.assertj.core.api.Assertions.assertThat;

import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.autoconfigure.jdbc.AutoConfigureTestDatabase;
import org.springframework.boot.test.autoconfigure.jdbc.AutoConfigureTestDatabase.Replace;
import org.springframework.boot.test.autoconfigure.orm.jpa.DataJpaTest;
import org.springframework.boot.test.autoconfigure.orm.jpa.TestEntityManager;
import org.springframework.test.annotation.Rollback;

import com.example.demo.model.User;
import com.example.demo.repository.UserRepository;

@DataJpaTest
@AutoConfigureTestDatabase(replace = Replace.NONE)
@Rollback(false)
<span class="fc" id="L19">public class UserRepositoryTests {</span>
	@Autowired
	private TestEntityManager entityManager;

	@Autowired
	private UserRepository repo;

	@Test
	public void testCreateUser1() {
<span class="fc" id="L28">		User user = new User();</span>
<span class="fc" id="L29">		user.setEmail(&quot;amna5@gmail.com&quot;);</span>
<span class="fc" id="L30">		user.setPassword(&quot;fdh&quot;);</span>
<span class="fc" id="L31">		user.setFirstName(&quot;fhdh&quot;);</span>
<span class="fc" id="L32">		user.setLastName(&quot;r&quot;);</span>

<span class="fc" id="L34">		User savedUser = repo.save(user);</span>

<span class="fc" id="L36">		User existUser = entityManager.find(User.class, savedUser.getId());</span>

<span class="fc" id="L38">		assertThat(user.getEmail()).isEqualTo(existUser.getEmail());</span>

<span class="fc" id="L40">	}</span>

	@Test
	public void testCreateUser2() {
<span class="fc" id="L44">		User user = new User();</span>
<span class="fc" id="L45">		user.setEmail(&quot;anma5@gmail.com&quot;);</span>
<span class="fc" id="L46">		user.setPassword(&quot;gh&quot;);</span>
<span class="fc" id="L47">		user.setFirstName(&quot;gh&quot;);</span>
<span class="fc" id="L48">		user.setLastName(&quot;x&quot;);</span>

<span class="fc" id="L50">		User savedUser = repo.save(user);</span>

<span class="fc" id="L52">		User existUser = entityManager.find(User.class, savedUser.getId());</span>

<span class="fc" id="L54">		assertThat(user.getEmail()).isEqualTo(existUser.getEmail());</span>

<span class="fc" id="L56">	}</span>
	@Test
	public void testCreateUser3() {
<span class="fc" id="L59">		User user = new User();</span>
<span class="fc" id="L60">		user.setEmail(&quot;far5@gmail.com&quot;);</span>
<span class="fc" id="L61">		user.setPassword(&quot;hi&quot;);</span>
<span class="fc" id="L62">		user.setFirstName(&quot;hi&quot;);</span>
<span class="fc" id="L63">		user.setLastName(&quot;r1&quot;);</span>

<span class="fc" id="L65">		User savedUser = repo.save(user);</span>

<span class="fc" id="L67">		User existUser = entityManager.find(User.class, savedUser.getId());</span>

<span class="fc" id="L69">		assertThat(user.getEmail()).isEqualTo(existUser.getEmail());</span>

<span class="fc" id="L71">	}</span>
	
	
	@Test
	public void testCreateUser4() {
<span class="fc" id="L76">		User user = new User();</span>
<span class="fc" id="L77">		user.setEmail(&quot;efs5@gmail.com&quot;);</span>
<span class="fc" id="L78">		user.setPassword(&quot;n&quot;);</span>
<span class="fc" id="L79">		user.setFirstName(&quot;hi&quot;);</span>
<span class="fc" id="L80">		user.setLastName(&quot;r1&quot;);</span>

<span class="fc" id="L82">		User savedUser = repo.save(user);</span>

<span class="fc" id="L84">		User existUser = entityManager.find(User.class, savedUser.getId());</span>

<span class="fc" id="L86">		assertThat(user.getEmail()).isEqualTo(existUser.getEmail());</span>

<span class="fc" id="L88">	}</span>
	
	@Test
	public void testCreateUser5() {
<span class="fc" id="L92">		User user = new User();</span>
<span class="fc" id="L93">		user.setEmail(&quot;den5@gmail.com&quot;);</span>
<span class="fc" id="L94">		user.setPassword(&quot;n&quot;);</span>
<span class="fc" id="L95">		user.setFirstName(&quot;hi&quot;);</span>
<span class="fc" id="L96">		user.setLastName(&quot;r1&quot;);</span>

<span class="fc" id="L98">		User savedUser = repo.save(user);</span>

<span class="fc" id="L100">		User existUser = entityManager.find(User.class, savedUser.getId());</span>

<span class="fc" id="L102">		assertThat(user.getEmail()).isEqualTo(existUser.getEmail());</span>

<span class="fc" id="L104">	}</span>
	
	@Test
	public void testCreateUser6() {
<span class="fc" id="L108">		User user = new User();</span>
<span class="fc" id="L109">		user.setEmail(&quot;abr5@gmail.com&quot;);</span>
<span class="fc" id="L110">		user.setPassword(&quot;n&quot;);</span>
<span class="fc" id="L111">		user.setFirstName(&quot;hi&quot;);</span>
<span class="fc" id="L112">		user.setLastName(&quot;r1&quot;);</span>

<span class="fc" id="L114">		User savedUser = repo.save(user);</span>

<span class="fc" id="L116">		User existUser = entityManager.find(User.class, savedUser.getId());</span>

<span class="fc" id="L118">		assertThat(user.getEmail()).isEqualTo(existUser.getEmail());</span>

<span class="fc" id="L120">	}</span>
	
	@Test
	public void testCreateUser7() {
<span class="fc" id="L124">		User user = new User();</span>
<span class="fc" id="L125">		user.setEmail(&quot;ben5@gmail.com&quot;);</span>
<span class="fc" id="L126">		user.setPassword(&quot;n&quot;);</span>
<span class="fc" id="L127">		user.setFirstName(&quot;hi&quot;);</span>
<span class="fc" id="L128">		user.setLastName(&quot;r1&quot;);</span>

<span class="fc" id="L130">		User savedUser = repo.save(user);</span>

<span class="fc" id="L132">		User existUser = entityManager.find(User.class, savedUser.getId());</span>

<span class="fc" id="L134">		assertThat(user.getEmail()).isEqualTo(existUser.getEmail());</span>

<span class="fc" id="L136">	}</span>
	
	@Test
	public void testCreateUser8() {
<span class="fc" id="L140">		User user = new User();</span>
<span class="fc" id="L141">		user.setEmail(&quot;cdf5@gmail.com&quot;);</span>
<span class="fc" id="L142">		user.setPassword(&quot;n&quot;);</span>
<span class="fc" id="L143">		user.setFirstName(&quot;hi&quot;);</span>
<span class="fc" id="L144">		user.setLastName(&quot;r1&quot;);</span>

<span class="fc" id="L146">		User savedUser = repo.save(user);</span>

<span class="fc" id="L148">		User existUser = entityManager.find(User.class, savedUser.getId());</span>

<span class="fc" id="L150">		assertThat(user.getEmail()).isEqualTo(existUser.getEmail());</span>

<span class="fc" id="L152">	}</span>
	
	  @Test 
	 public void testFindUserByEmail6() {
<span class="fc" id="L156">		 String email = &quot;abr4@gmail.com&quot;;</span>
<span class="fc" id="L157">	 User user =repo.findByEmail(email); </span>
<span class="fc" id="L158">	   assertThat(user).isNotNull();</span>
	 
<span class="fc" id="L160">	 }</span>
	 
}
</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.8.8.202204050719</span>green-grocery (01-Nov-2022 11:59:04 pm)</div></body></html>